Versions of QuickBooks Supported on Windows 10


Got that new Windows 10 computer? Intuit supports QuickBooks with the following versions, quoted directly from Intuit’s hard to find information page.

QuickBooks 2016 R7 and later: Good news! QuickBooks 2016 R7 and later is certified to work on Windows 10! If you are using a release of 2016 earlier than R7, you will need to update to the latest release in order to be compatible with Windows 10.

QuickBooks 2015 and QuickBooks 2016 R1-R6: Based on initial testing we have not found any major issues with QuickBooks 2015. Please see our system requirements for details of what are supported operating systems. If you have deployed QuickBooks 2015 on Windows 10, make sure you have .NET Framework 3.5 enabled (it is usually disabled by default from Microsoft) to ensure the best possible experience using QuickBooks on a non-supported operating system.

Ensure .NET 3.5 is enabled for QuickBooks 2015

Open the Start menu and type Turn Windows features On or Off.

Click on Turn Windows features On or Off.

At the top, you will see an option for .NET Framework 3.5, ensure it is enabled.

If it is not enabled, click in the white check box to enable it and click Ok. Reboot your computer after it is enabled.

If it is already enabled, then click Cancel and no further action is required in this step.

QuickBooks 2014 and earlier: QuickBooks 2014 and earlier is not supported on Windows 10. Please see our system requirements for details of what are supported operating systems.